---
title: dots.v2.customers.my.invoices.get()
description: List All Invoices
product: Reference
url: https://docs.digitalocean.com/reference/dots/reference/billing/invoices-list/
last_updated: "2026-11-18"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# dots.v2.customers.my.invoices.get()

Generated on 18 Nov 2026 from DoTs version [`v1.25.0`](https://github.com/digitalocean/dots/releases/tag/v1.25.0)

## Usage

```typescript
client.v2.customers.my.invoices.get(requestConfiguration?: RequestConfiguration<InvoicesRequestBuilderGetQueryParameters>): Promise<undefined | InvoicesGetResponse>
```

## Description

To retrieve a list of all invoices, send a GET request to [`/v2/customers/my/invoices`](https://docs.digitalocean.com/reference/api/reference/billing/index.html.md#invoices_list).

## Parameters

`perPage` integer optional

Example: `2`

Number of items returned per page

Default: `20`

Min: `1`

Max: `200`

`page` integer optional

Example: `1`

Which 'page' of paginated results to return.

Default: `1`

Min: `1`

## Request Sample

## Show Request Sample

```typescript
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.customers.my.invoices.get();
```

## Pagination

This method returns paginated results. The response includes a `links.pages` object with URLs for navigating between pages. To retrieve the next page, parse the `next` URL and pass the `page` query parameter:

```typescript
let response = await client.v2.customers.my.invoices.get();
let pages = response?.links?.pages;

while (pages && "next" in pages && typeof pages.next === "string") {
    const page = Number(new URL(pages.next).searchParams.get("page"));
    response = await client.v2.customers.my.invoices.get({
        queryParameters: {
            page,
        },
    });
    pages = response?.links?.pages;
}
```

## Response Example

## Show Response Example

```json
{
  "invoices": [
    {
      "invoice_uuid": "22737513-0ea7-4206-8ceb-98a575af7681",
      "invoice_id": "12345678",
      "amount": "12.34",
      "invoice_period": "2019-12"
    },
    {
      "invoice_uuid": "fdabb512-6faf-443c-ba2e-665452332a9e",
      "invoice_id": "23456789",
      "amount": "23.45",
      "invoice_period": "2019-11"
    }
  ],
  "invoice_preview": {
    "invoice_uuid": "1afe95e6-0958-4eb0-8d9a-9c5060d3ef03",
    "invoice_id": "34567890",
    "amount": "34.56",
    "invoice_period": "2020-02",
    "updated_at": "2020-02-23T06:31:50Z"
  },
  "links": {
    "pages": {
      "next": "https://api.digitalocean.com/v2/customers/my/invoices?page=2&per_page=2",
      "last": "https://api.digitalocean.com/v2/customers/my/invoices?page=35&per_page=2"
    }
  },
  "meta": {
    "total": 70
  }
}
```

## More Information

See [`/v2/customers/my/invoices`](https://docs.digitalocean.com/reference/api/reference/billing/index.html.md#invoices_list) in the API reference for additional detail on responses, headers, parameters, and more.